Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 165650

Summary: Review Request: perl-WWW-Mechanize - Automates web page form & link interaction
Product: [Fedora] Fedora Reporter: Jose Pedro Oliveira <jose.p.oliveira.oss>
Component: Package ReviewAssignee: Ralf Corsepius <rc040203>
Status: CLOSED NEXTRELEASE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, ktdreyer, rc040203, tremble
Target Milestone: ---Flags: j: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://search.cpan.org/dist/WWW-Mechanize/
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-08-31 19:54:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 165573, 165649    
Bug Blocks: 163779    

Description Jose Pedro Oliveira 2005-08-11 04:16:39 UTC
Spec Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-WWW-Mechanize.spec

SRPM Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-WWW-Mechanize-1.12-2.src.rpm

Description:
"WWW::Mechanize", or Mech for short, helps you automate interaction
with a website.  It supports performing a sequence of page fetches
including following links and submitting forms. Each fetched page is
parsed and its links and forms are extracted. A link or a form can be
selected, form fields can be filled and the next page can be fetched.
Mech also stores a history of the URLs you've visited, which can be
queried and revisited.

Comment 1 Ralf Corsepius 2005-08-11 05:30:28 UTC
Potential improvement:

Consider to add
BuildRequires: perl(IO::Socket::SSL)
This enables "https:" checks during "make test"

Non-blocking issues:

1. 
%check || :
The || : is superfluous

2. I'd propose to extend the spec to conditionally support live tests (something
like --with-livetests rsp. %_with_livetests).



Comment 2 Jose Pedro Oliveira 2005-08-25 19:40:44 UTC
(In reply to comment #1)
> Potential improvement:
> 
> Consider to add
> BuildRequires: perl(IO::Socket::SSL)
> This enables "https:" checks during "make test"

Only adds IO::Socket::SSL to the BR list if live tests specified.
 
> Non-blocking issues:
> 
> 1. 
> %check || :
> The || : is superfluous

Removed.


> 2. I'd propose to extend the spec to conditionally support live tests (something
> like --with-livetests rsp. %_with_livetests).

Done.  

Right now the live tests fail. IIRC a couple of months ago they worked.  It
appears that the google pages have changed (different content, missing pages,
...). 


New signed SRPM:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-WWW-Mechanize-1.12-3.src.rpm



Comment 3 Ralf Corsepius 2005-08-26 11:31:32 UTC
APPROVED - Go ahead.

> Right now the live tests fail. IIRC a couple of months ago they worked.
Confirmed. I had packaged WWW-Mechanize a couple of months ago myself and they
all had succeeded. Right now, my old WWW-Mechanize rpm also fails the live test.

> It appears that the google pages have changed.
I just filed http://rt.cpan.org/NoAuth/Bug.html?id=14325



Comment 4 Jose Pedro Oliveira 2005-08-26 13:24:39 UTC
Build fails in mock:
----------
...
t/local/back............# Started http://localhost:32775/
#     Failed test (t/local/back.t at line 148)
#          got: '500'
#     expected: '404'
# Looks like you failed 1 tests of 38.
dubious
	Test returned status 1 (wstat 256, 0x100)
DIED. FAILED test 28
	Failed 1/38 tests, 97.37% okay
...
----------

adding TEST_VERBOSE=1 to the test suite gives:

----------
t/local/back............1..38
ok 1 - use WWW::Mechanize;
ok 2 - The object isa WWW::Mechanize
ok 3 - this $mech starts with a cookie jar
# Started http://localhost:32784/
ok 4 - The object isa LocalServer
...
ok 27 - Pre-404 check
#     Failed test (t/local/back.t at line 148)
not ok 28 - 404 check
#          got: '500'
#     expected: '404'
ok 29 - Even 404s get on the stack
...
ok 38 - No memory cycles found
# Looks like you failed 1 tests of 38.
dubious
        Test returned status 1 (wstat 256, 0x100)
DIED. FAILED test 28
        Failed 1/38 tests, 97.37% okay
----------

No problem when building it locally (FC3 and FC4 systems).

Comment 5 Jose Pedro Oliveira 2005-08-26 14:47:17 UTC
I will try to figure it out during the weekend (it appears that the HTTP server
is given the wrong answer - libwww-perl(HTTP::Daemon,HTTP::Response) related?).

Meanwhile I will build perl-WWW-Mechanize with the test suite disabled as it
only fails one test in mock.

List of failed tests in mock:
 1) t/local/back.t test 28

Comment 6 Jose Pedro Oliveira 2005-08-31 19:54:29 UTC
Update to the new version 1.14:
1) passes all live tests (see also CPAN RT #14325)
2) new live tests build requirement: Test::LongString (t/live/get.t)

Comment 7 Mark Chappell 2010-06-18 16:47:25 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=191622 - cweyl implied he's not interested in EPEL, and at todays EPEL meeting Smooge suggested I should just put the requests through.

Package Change Request
======================
Package Name: perl-WWW-Mechanize
New Branches: EL-6
Owners: tremble

Comment 8 Kevin Fenzi 2010-06-21 01:47:07 UTC
cvs done.

Comment 9 Ken Dreyer 2011-03-05 19:59:18 UTC
Package Change Request
======================
Package Name: perl-WWW-Mechanize
New Branches: EL-5
Owners: ktdreyer
InitialCC: tremble

As discussed in #epel today, tremble will be mentoring me as a co-maintainer for EL-6, and I'll be maintaining WWW::Mech for EL-5.

Comment 10 Jason Tibbitts 2011-03-06 18:28:04 UTC
Git done (by process-git-requests).